%global _hardened_build 1

%define current_version 7.0.22

Name: libvcmmd
Version: %{current_version}
Release:        3%{?dist}
Summary: Library for accessing vcmmd
Group: System Environment/Libraries
License: LGPLv2.1
Source: %{name}-%{version}.tar.bz2
ExclusiveArch: x86_64
Requires: dbus-libs
Requires: vcmmd >= 7.0.93
BuildRequires: gcc
BuildRequires: libtool
BuildRequires: automake
BuildRequires: autoconf
BuildRequires: dbus-devel

%description
This package contains a library that provides a convenient API for accessing
the vcmmd daemon. It can be used in order to configure memory settings of
Virtuozzo Containers and VMs.

%prep
%setup -q -n %{name}-%{version}
./autogen.sh

%build
%configure
%make_build

%install
%make_install

%files
%attr(755,root,root) %{_libdir}/libvcmmd.so.*

%package devel
Summary: Development files for libvcmmd
Group: Development/Libraries
License: LGPLv2.1
Requires: %{name} = %{version}-%{release}
Requires: dbus-devel

%description devel
This package contains header files and libraries needed for developing software
that uses libvcmmd.

%files devel
%attr(755,root,root) %{_libdir}/libvcmmd.so
%attr(755,root,root) %{_libdir}/libvcmmd.la
%attr(644,root,root) %{_includedir}/libvcmmd/*.h

%changelog
* Wed May 24 2017 Andrey Bondrov <abondrov@virtuozzo.com> 7.0.22-2
- Enable hardened build, see #PSBM-58107

* Tue May 23 2017 Konstantin Neumoin <kneumoin@virtuozzo.com> 7.0.22
 - Update copyrights ( #PSBM-58317 ) (Andrey Bondrov <abondrov@virtuozzo.com>)

* Fri Jan 13 2017 Konstantin Neumoin <kneumoin@virtuozzo.com> 7.0.21
 - add vcmmd_get_policy_from_file call (Derbyshev Dmitry
<dderbyshev@virtuozzo.com>) (#PSBM-58420)

* Thu Dec 29 2016 Konstantin Neumoin <kneumoin@virtuozzo.com> 7.0.19
 - add cli for policy switching (#PSBM-57909)

* Wed Dec 14 2016 Konstantin Volkov <wolf@virtuozzo.com> - 7.0.18-2
- Rebuild in 7.3 environment

* Fri Nov 25 2016 Konstantin Neumoin <kneumoin@virtuozzo.com> 7.0.18
 - add VCMMD_VE_CONFIG_GUARANTEE_TYPE to ve config
 - add VCMMD_ERROR_TOO_MANY_REQUESTS

* Wed Nov 23 2016 Konstantin Neumoin <kneumoin@virtuozzo.com> 7.0.17
 - add vcmmd_get_current_policy (Derbyshev Dmitry <dderbyshev@virtuozzo.com>) (#PSBM-55022)

* Fri Nov 18 2016 Konstantin Neumoin <kneumoin@virtuozzo.com> 7.0.16
 - Revert "add VCMMD_ERROR_TOO_MANY_REQUESTS"
 - Revert "add VCMMD_VE_CONFIG_GUARANTEE_TYPE to ve config"

* Thu Nov 17 2016 Konstantin Neumoin <kneumoin@virtuozzo.com> 7.0.15
 - add VCMMD_VE_CONFIG_GUARANTEE_TYPE to ve config (#PSBM-55018)
 - add VCMMD_ERROR_TOO_MANY_REQUESTS

* Thu Oct 27 2016 Derbyshev Dmitry' <dderbyshev@virtuozzo.com> 7.0.14
 - vcmmd_config: node_list and cpu_list fields added
 - vcmmd_config: string values in config
 - vcmmd_config: prepare for string values in config

* Thu Oct 27 2016 Derbyshev Dmitry' <dderbyshev@virtuozzo.com> 7.0.13
 - update vcmmd version requirement: strings as config values (#PSBM-53459)

* Mon Oct 24 2016 Derbyshev Dmitry' <dderbyshev@virtuozzo.com>
 - #PSBM-53459: dbus signature is expanded, ruining backward compatibility with
vcmmd

* Mon Aug 08 2016 Vladimir Davydov <vdavydov@virtuozzo.com> 7.0.12
 - Add VCMMD_VE_SERVICE ve type

* Thu May 26 2016 Vladimir Davydov <vdavydov@virtuozzo.com> 7.0.11
 - Add two new VM types

* Wed Mar 30 2016 Vladimir Davydov <vdavydov@virtuozzo.com> 7.0.10
 - Add video RAM size to VE config
 - Add flags argument to register, activate, and update operations
 - Rename NO_SPACE error to UNABLE_APPLY_VE_GUARANTEE

* Mon Mar 14 2016 Vladimir Davydov <vdavydov@virtuozzo.com> 7.0.9
 - Add licensing information
 - Change license to LGPL

* Mon Feb 01 2016 Vladimir Davydov <vdavydov@virtuozzo.com> 7.0.8
 - Fix type of ve_type argument of RegisterVE method
 - Implement vcmmd_get_ve_state method
 - Pass values of dbus-defined types to dbus_message_get_args

* Fri Jan 29 2016 Vladimir Davydov <vdavydov@virtuozzo.com> 7.0.7
 - Sync error messages/constants with current vcmmd state

* Wed Jan 27 2016 Vladimir Davydov <vdavydov@virtuozzo.com> 7.0.6
 - Initialize dbus threads in constructor (#PSBM-43497)

* Tue Jan 26 2016 Vladimir Davydov <vdavydov@virtuozzo.com> 7.0.5
 - Implement vcmmd_get_ve_config method

* Wed Jan 13 2016 Vladimir Davydov <vdavydov@virtuozzo.com> 7.0.4
 - Reset version-info
 - Drop vcmmd_commit_ve
 - Update comment to vcmmd_update_ve
 - Drop force argument to register and update VE operations

* Tue Dec 29 2015 Vladimir Davydov <vdavydov@virtuozzo.com> 7.0.3
 - Introduce vcmmd_activate_ve and vcmmd_deactivate_ve

* Fri Dec 25 2015 Vladimir Davydov <vdavydov@virtuozzo.com> 7.0.2
 - Drop max_limit from the config

* Thu Dec 24 2015 Vladimir Davydov <vdavydov@virtuozzo.com> 7.0.1
 - Initial version

